## aewm 1.2.0

=== Makefile ===
# aewm - a minimalist X11 window mananager. vim:noet:ft=make
# Copyright 1998-2001 Decklin Foster <decklin@red-bean.com>
# This program is free software; see LICENSE for details.

# This should be set to the location of the X installation you want to
# compile against.
XROOT = /usr/X11R6

# Comment out to remove shape support (for X11R5 or just a tiny bin)
DEFINES += -DSHAPE
EXTRA_LIBS += -lXext

# Comment out to remove support for Gnome's GNOME_PANEL_DESKTOP_AREA
# hint, which allows aewm to avoid mapping windows over an aepanel.
DEFINES += -DGNOME_PDA

# Uncomment to add MWM hints supports (needs Lesstif headers)
#DEFINES += -DMWM_HINTS

# Uncomment to add freetype support (requires XFree86 4.0.2 or later)
# This needs -lXext above, even if you have disabled shape support.
#DEFINES += -DXFT
#EXTRA_LIBS += -lXft -lXrender -lfreetype

# Uncomment for debugging info (abandon all hope, ye who enter here)
#DEFINES += -DDEBUG

# --------------------------------------------------------------------

CC       = gcc
CFLAGS   = -g -O2 -Wall

BINDIR   = $(DESTDIR)$(XROOT)/bin
MANDIR   = $(DESTDIR)$(XROOT)/man/man1
CFGDIR   = $(DESTDIR)/etc/X11/aewm
INCLUDES = -Ilib -I$(XROOT)/include
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11 $(EXTRA_LIBS)

PROG     = aewm
MANPAGE  = aewm.1x
OBJS     = init.o events.o client.o new.o manage.o misc.o lib/parser.o
HEADERS  = aewm.h

all: $(PROG) subdirs

subdirs:
	+make -C clients all

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(BINDIR)
	install -m 644 $(MANPAGE) $(MANDIR)
	gzip -9vf $(MANDIR)/$(MANPAGE)
	mkdir -p $(CFGDIR) && cp aewmrc.sample $(CFGDIR)/aewmrc
	+make -C clients install

clean: subdirs-clean
	rm -f $(PROG) $(OBJS)

subdirs-clean:
	+make -C clients clean

.PHONY: all subdirs install clean subdirs-clean

=== clients/Makefile ===
# aewm - a minimalist X11 window mananager. vim:noet:sw=4:ts=4
# Copyright 1998-2001 Decklin Foster <decklin@red-bean.com>
# This program is free software; see LICENSE for details.

CC       = gcc
CFLAGS   = -g -O2 -Wall

XROOT    = /usr/X11R6
BINDIR   = $(DESTDIR)$(XROOT)/bin
MANDIR   = $(DESTDIR)$(XROOT)/man/man1
CFGDIR   = $(DESTDIR)/etc/X11/aewm

INCLUDES = -I../lib -Ilib
X11PATH  = -I$(XROOT)/include
X11LIBS  = -L$(XROOT)/lib -lX11
XAWLIBS  = -L$(XROOT)/lib -lX11 -lXt -lXaw
GTKPATH  = `gtk-config --cflags`
GTKLIBS  = `gtk-config --libs`

MANPAGE  = aeclients.1x

# --------------------------------------------------------------------

XAWPROGS = aemenu-xaw aepanel-xaw
GTKPROGS = aemenu-gtk aepanel-gtk
X11PROGS = set-gnome-pda
ETCPROGS = aesession
ALLPROGS = $(GTKPROGS) $(XAWPROGS) $(X11PROGS) $(ETCPROGS)

all: $(ALLPROGS)

COMMONOBJS = ../lib/parser.o lib/launch.o lib/switch.o

aemenu-gtk: $(COMMONOBJS)
aemenu-xaw: $(COMMONOBJS) lib/xaw-util.o
aepanel-gtk: $(COMMONOBJS) lib/panel.o
aepanel-xaw: $(COMMONOBJS) lib/panel.o lib/xaw-util.o
set-gnome-pda: lib/panel.o

$(GTKPROGS): %: %.o
	$(CC) $^ $(GTKLIBS) -o $@

$(XAWPROGS): %: %.o
	$(CC) $^ $(XAWLIBS) -o $@

$(X11PROGS): %: %.o
	$(CC) $^ $(X11LIBS) -o $@

$(ETCPROGS): %: %.o
	$(CC) $^ -o $@

# --------------------------------------------------------------------

GTKOBJS = aemenu-gtk.o aepanel-gtk.o
XAWOBJS = aemenu-xaw.o aepanel-xaw.o lib/xaw-util.o
X11OBJS = lib/panel.o lib/switch.o set-gnome-pda.o
ETCOBJS = lib/launch.o aesession.o
ALLOBJS = $(GTKOBJS) $(XAWOBJS) $(X11OBJS) $(ETCOBJS)

$(X11OBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(X11PATH) -c $< -o $@

$(XAWOBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(X11PATH) -c $< -o $@

$(GTKOBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(GTKPATH) -c $< -o $@

$(ETCOBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

# --------------------------------------------------------------------

install: all
	install -s $(ALLPROGS) $(BINDIR)
	install -m 644 $(MANPAGE) $(MANDIR)
	gzip -9vf $(MANDIR)/$(MANPAGE)
	mkdir -p $(CFGDIR) && cp clientsrc.sample $(CFGDIR)/clientsrc
	cd $(BINDIR) && ln -sf aemenu-gtk aemenu
	cd $(BINDIR) && ln -sf aepanel-gtk aepanel
	cd $(MANDIR) && \
	    for i in $(ALLPROGS); do \
	        ln -sf $(MANPAGE).gz $$i.1x.gz; \
	    done \

clean:
	rm -f $(ALLPROGS) $(ALLOBJS)

.PHONY: all install clean

## aewm 1.2.3

=== Makefile ===
# aewm - a minimalist X11 window mananager. vim:ft=make:noet
# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
# This program is free software; see LICENSE for details.

SUBDIRS = src clients

all install clean:
	for i in $(SUBDIRS); do $(MAKE) -C $$i $@; done

.PHONY: all install clean

=== clients/Makefile ===
--- 
+++ 
@@ -1,21 +1,31 @@
-# aewm - a minimalist X11 window mananager. vim:noet:sw=4:ts=4
-# Copyright 1998-2001 Decklin Foster <decklin@red-bean.com>
+# aewm - a minimalist X11 window mananager. vim:ft=make:noet
+# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
+
+# Uncomment to enable building with GTK+ 1.2 instead of 2.x.
+#USE_OLD_GTK = 1
 
 CC       = gcc
 CFLAGS   = -g -O2 -Wall
 
+AELIBDIR = ../lib
+MYLIBDIR = lib
 XROOT    = /usr/X11R6
 BINDIR   = $(DESTDIR)$(XROOT)/bin
 MANDIR   = $(DESTDIR)$(XROOT)/man/man1
 CFGDIR   = $(DESTDIR)/etc/X11/aewm
 
-INCLUDES = -I../lib -Ilib
+INCLUDES = -I$(AELIBDIR) -I$(MYLIBDIR)
 X11PATH  = -I$(XROOT)/include
 X11LIBS  = -L$(XROOT)/lib -lX11
 XAWLIBS  = -L$(XROOT)/lib -lX11 -lXt -lXaw
-GTKPATH  = `gtk-config --cflags`
+ifdef USE_OLD_GTK
+GTKPATH  = `gtk-config --cflags` -DUSE_OLD_GTK=$(USE_OLD_GTK)
 GTKLIBS  = `gtk-config --libs`
+else
+GTKPATH  = `pkg-config --cflags gtk+-2.0`
+GTKLIBS  = `pkg-config --libs gtk+-2.0`
+endif
 
 MANPAGE  = aeclients.1x
 
@@ -29,13 +39,13 @@
 
 all: $(ALLPROGS)
 
-COMMONOBJS = ../lib/parser.o lib/launch.o lib/switch.o
+COMMONOBJS = $(AELIBDIR)/parser.o $(MYLIBDIR)/launch.o $(MYLIBDIR)/switch.o
 
 aemenu-gtk: $(COMMONOBJS)
-aemenu-xaw: $(COMMONOBJS) lib/xaw-util.o
-aepanel-gtk: $(COMMONOBJS) lib/panel.o
-aepanel-xaw: $(COMMONOBJS) lib/panel.o lib/xaw-util.o
-set-gnome-pda: lib/panel.o
+aemenu-xaw: $(COMMONOBJS) $(MYLIBDIR)/xaw-util.o
+aepanel-gtk: $(COMMONOBJS) $(MYLIBDIR)/panel.o $(AELIBDIR)/gnome-pda.o
+aepanel-xaw: $(COMMONOBJS) $(MYLIBDIR)/panel.o $(AELIBDIR)/gnome-pda.o $(MYLIBDIR)/xaw-util.o
+set-gnome-pda: $(MYLIBDIR)/panel.o $(AELIBDIR)/gnome-pda.o
 
 $(GTKPROGS): %: %.o
 	$(CC) $^ $(GTKLIBS) -o $@
@@ -52,9 +62,9 @@
 # --------------------------------------------------------------------
 
 GTKOBJS = aemenu-gtk.o aepanel-gtk.o
-XAWOBJS = aemenu-xaw.o aepanel-xaw.o lib/xaw-util.o
-X11OBJS = lib/panel.o lib/switch.o set-gnome-pda.o
-ETCOBJS = lib/launch.o aesession.o
+XAWOBJS = aemenu-xaw.o aepanel-xaw.o $(MYLIBDIR)/xaw-util.o
+X11OBJS = $(MYLIBDIR)/panel.o $(MYLIBDIR)/switch.o set-gnome-pda.o
+ETCOBJS = $(MYLIBDIR)/launch.o aesession.o
 ALLOBJS = $(GTKOBJS) $(XAWOBJS) $(X11OBJS) $(ETCOBJS)
 
 $(X11OBJS): %.o: %.c

=== src/Makefile ===
# aewm - a minimalist X11 window mananager. vim:ft=make:noet
# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
# This program is free software; see LICENSE for details.

# This should be set to the location of the X installation against
# which you would like to compile.
XROOT = /usr/X11R6

# Comment out to remove shape support (for X11R5 or a smaller binary)
DEFINES += -DSHAPE
EXTRA_LIBS += -lXext

# Comment out to remove support for Gnome's GNOME_PANEL_DESKTOP_AREA
# hint, which allows aewm to avoid mapping windows over an aepanel.
# This does not link against or require Gnome to compile.
DEFINES += -DGNOME_PDA

# Uncomment to add MWM hints support. This requires Lesstif headers at
# build time, but does not link against Lesstif.
#DEFINES += -DMWM_HINTS

# Uncomment to add freetype support (requires XFree86 4.0.2 or later).
# This depends on -lXext above, even if you have disabled shape support.
#DEFINES += -DXFT
#EXTRA_INC += `pkg-config --cflags xft`
#EXTRA_LIBS += `pkg-config --libs xft`

# Uncomment for debugging info (abandon all hope, ye who enter here).
#DEFINES += -DDEBUG


# --------------------------------------------------------------------

CC       = gcc
CFLAGS   = -g -O2 -Wall

MYLIBDIR = ../lib
BINDIR   = $(DESTDIR)$(XROOT)/bin
MANDIR   = $(DESTDIR)$(XROOT)/man/man1
CFGDIR   = $(DESTDIR)/etc/X11/aewm
INCLUDES = -I$(MYLIBDIR) -I$(XROOT)/include $(EXTRA_INC)
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11 $(EXTRA_LIBS)

PROG     = aewm
MANPAGE  = aewm.1x
OBJS     = init.o events.o client.o new.o manage.o misc.o $(MYLIBDIR)/parser.o $(MYLIBDIR)/gnome-pda.o
HEADERS  = aewm.h

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(BINDIR)
	install -m 644 $(MANPAGE) $(MANDIR)
	gzip -9vf $(MANDIR)/$(MANPAGE)
	mkdir -p $(CFGDIR) && cp aewmrc.sample $(CFGDIR)/aewmrc

clean:
	rm -f $(PROG) $(OBJS)

.PHONY: all install clean

## aewm 1.2.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 SUBDIRS = src clients

=== clients/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 # Uncomment to enable building with GTK+ 1.2 instead of 2.x.

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2003 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 # This should be set to the location of the X installation against
@@ -27,7 +27,6 @@
 
 # Uncomment for debugging info (abandon all hope, ye who enter here).
 #DEFINES += -DDEBUG
-
 
 # --------------------------------------------------------------------

## aewm 1.2.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2005 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 SUBDIRS = src clients

=== clients/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2005 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 # Uncomment to enable building with GTK+ 1.2 instead of 2.x.

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # aewm - a minimalist X11 window mananager. vim:ft=make:noet
-# Copyright 1998-2004 Decklin Foster <decklin@red-bean.com>
+# Copyright 1998-2005 Decklin Foster <decklin@red-bean.com>
 # This program is free software; see LICENSE for details.
 
 # This should be set to the location of the X installation against

## aewm 1.3.8

=== Makefile ===
# aewm - An Exiguous Window Manager - vim:ft=make:noet
# Copyright 1998-2006 Decklin Foster <decklin@red-bean.com>
# This program is free software; see LICENSE for details.

# Set this to the location of your X11 installation.
XROOT = /usr/X11R6

# Uncomment this to add Xft support (requires X.Org or XFree86 >= 4.0.2).
#DEFINES += -DXFT
#EXTRA_INC += `pkg-config --cflags xft`
#EXTRA_LIBS += `pkg-config --libs xft` -lXext

# Uncomment this to add Shape extension support (X11R6 or better required).
#DEFINES += -DSHAPE
#EXTRA_LIBS += -lXext

# Uncomment for debugging info (abandon all hope, ye who enter here).
#DEFINES += -DDEBUG
#EXTRA_LIBS += -lefence

# --------------------------------------------------------------------

CC       = gcc
CFLAGS   = -g -O2 -Wall

MYLIBDIR = lib
BINDIR   = $(DESTDIR)$(XROOT)/bin
MANDIR   = $(DESTDIR)$(XROOT)/man/man1
CFGDIR   = $(DESTDIR)/etc/X11/aewm
INCLUDES = -I$(MYLIBDIR) -I$(XROOT)/include $(EXTRA_INC)
LDPATH   = -L$(XROOT)/lib
LIBS     = -lX11 $(EXTRA_LIBS)

PROG     = aewm
MANPAGE  = aewm.1x
OBJS     = init.o event.o win.o map.o ops.o misc.o $(MYLIBDIR)/common.o $(MYLIBDIR)/parser.o $(MYLIBDIR)/atom.o
HEADERS  = aewm.h

all: $(PROG)
	$(MAKE) -C clients

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install -s $(PROG) $(BINDIR)
	install -m 644 $(MANPAGE) $(MANDIR)
	gzip -9vf $(MANDIR)/$(MANPAGE)
	mkdir -p $(CFGDIR) && cp aewmrc.ex $(CFGDIR)/aewmrc
	$(MAKE) -C clients $@

clean:
	rm -f $(PROG) $(OBJS)
	$(MAKE) -C clients $@

.PHONY: all install clean

=== clients/Makefile ===
# aewm - An Exiguous Window Manager - vim:ft=make:noet
# Copyright 1998-2006 Decklin Foster <decklin@red-bean.com>
# This program is free software; see LICENSE for details.

CC       = gcc
CFLAGS   = -g -O2 -Wall

AELIBDIR = ../lib
MYLIBDIR = lib
XROOT    = /usr/X11R6
BINDIR   = $(DESTDIR)$(XROOT)/bin
MANDIR   = $(DESTDIR)$(XROOT)/man/man1
CFGDIR   = $(DESTDIR)/etc/X11/aewm

INCLUDES = -I$(AELIBDIR) -I$(MYLIBDIR)
X11PATH  = -I$(XROOT)/include
X11LIBS  = -L$(XROOT)/lib -lX11
XAWLIBS  = -L$(XROOT)/lib -lX11 -lXt -lXaw
GTKPATH  = `pkg-config --cflags gtk+-2.0`
GTKLIBS  = `pkg-config --libs gtk+-2.0`

MANPAGE  = aeclients.1x

# --------------------------------------------------------------------

XAWPROGS = aemenu-xaw aepanel-xaw
GTKPROGS = aemenu-gtk aepanel-gtk
X11PROGS = aedesk
ETCPROGS = aesession
ALLPROGS = $(GTKPROGS) $(XAWPROGS) $(X11PROGS) $(ETCPROGS)

all: $(ALLPROGS)

COMMONOBJS = $(AELIBDIR)/common.o $(AELIBDIR)/parser.o $(AELIBDIR)/atom.o $(MYLIBDIR)/menu.o

aemenu-gtk: $(COMMONOBJS)
aemenu-xaw: $(COMMONOBJS)
aepanel-gtk: $(COMMONOBJS) $(MYLIBDIR)/panel.o
aepanel-xaw: $(COMMONOBJS) $(MYLIBDIR)/panel.o
aedesk: $(AELIBDIR)/atom.o

$(GTKPROGS): %: %.o
	$(CC) $^ $(GTKLIBS) -o $@

$(XAWPROGS): %: %.o
	$(CC) $^ $(XAWLIBS) -o $@

$(X11PROGS): %: %.o
	$(CC) $^ $(X11LIBS) -o $@

$(ETCPROGS): %: %.o
	$(CC) $^ -o $@

# --------------------------------------------------------------------

GTKOBJS = aemenu-gtk.o aepanel-gtk.o
XAWOBJS = aemenu-xaw.o aepanel-xaw.o
X11OBJS = aedesk.o $(AELIBDIR)/common.o $(AELIBDIR)/atom.o $(MYLIBDIR)/menu.o $(MYLIBDIR)/panel.o
ETCOBJS = aesession.o $(MYLIBDIR)/launch.o $(AELIBDIR)/parser.o
ALLOBJS = $(GTKOBJS) $(XAWOBJS) $(X11OBJS) $(ETCOBJS)

$(X11OBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(X11PATH) -c $< -o $@

$(XAWOBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(X11PATH) -c $< -o $@

$(GTKOBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) $(GTKPATH) -c $< -o $@

$(ETCOBJS): %.o: %.c
	$(CC) $(CFLAGS) $(INCLUDES) -c $< -o $@

# --------------------------------------------------------------------

install: all
	install -s $(ALLPROGS) $(BINDIR)
	install -m 644 $(MANPAGE) $(MANDIR)
	gzip -9vf $(MANDIR)/$(MANPAGE)
	mkdir -p $(CFGDIR) && cp clientsrc.ex $(CFGDIR)/clientsrc
	cd $(BINDIR) && ln -sf aemenu-gtk aemenu
	cd $(BINDIR) && ln -sf aepanel-gtk aepanel
	cd $(MANDIR) && \
	    for i in $(ALLPROGS); do \
	        ln -sf $(MANPAGE).gz $$i.1x.gz; \
	    done \

clean:
	rm -f $(ALLPROGS) $(ALLOBJS)

.PHONY: all install clean

## aewm 1.3.10

=== Makefile ===
# aewm - Copyright 1998-2006 Decklin Foster <decklin@red-bean.com>.
# This program is free software; see LICENSE for details.

all install clean:
	$(MAKE) -C src $@

.PHONY: all install clean

=== src/Makefile ===
# aewm - Copyright 1998-2006 Decklin Foster <decklin@red-bean.com>.
# This program is free software; see LICENSE for details.

# Set this to the location where you want to install
DESTDIR =
XROOT = /usr/X11R6

# Uncomment to enable Shape extension support
#OPT_WMFLAGS += -DSHAPE
#OPT_WMLIB += -lXext

# Uncomment to add Xft support
#OPT_WMFLAGS += -DXFT `pkg-config --cflags xft`
#OPT_WMLIB += `pkg-config --libs xft` -lXext

# Uncomment for debugging (abandon all hope, ye who enter here)
#OPT_WMFLAGS += -DDEBUG
#OPT_WMLIB += -lefence

CC = gcc
CFLAGS = -g -O2 -Wall

BINDIR = $(DESTDIR)$(XROOT)/bin
MANDIR = $(DESTDIR)$(XROOT)/man/man1
CFGDIR = $(DESTDIR)/etc/X11/aewm

AELIB = ../lib
AEDOC = ../doc

PLAINOBJ = aesession.o $(AELIB)/launch.o $(AELIB)/parser.o
CLIENTOBJ = $(AELIB)/common.o $(AELIB)/atom.o
X11OBJ = $(CLIENTOBJ) aedesk.o $(AELIB)/menu.o $(AELIB)/panel.o
WMOBJ = init.o event.o client.o ui.o
XAWOBJ = aemenu-xaw.o aepanel-xaw.o
GTKOBJ = aemenu-gtk.o aepanel-gtk.o
ALLOBJ = $(PLAINOBJ) $(X11OBJ) $(WMOBJ) $(XAWOBJ) $(GTKOBJ)

PLAINBIN = aesession
X11BIN = aedesk
WMBIN = aewm
XAWBIN = aemenu-xaw aepanel-xaw
GTKBIN = aemenu-gtk aepanel-gtk
ALLBIN = $(PLAINBIN) $(X11BIN) $(WMBIN) $(XAWBIN) $(GTKBIN)

all: $(ALLBIN)
aesession:
aedesk: $(CLIENTOBJ)
aewm: $(CLIENTOBJ) $(WMOBJ) $(AELIB)/parser.o
aemenu-gtk: $(CLIENTOBJ) $(AELIB)/parser.o $(AELIB)/menu.o
aemenu-xaw: $(CLIENTOBJ) $(AELIB)/parser.o $(AELIB)/menu.o
aepanel-gtk: $(CLIENTOBJ) $(AELIB)/parser.o $(AELIB)/menu.o $(AELIB)/panel.o
aepanel-xaw: $(CLIENTOBJ) $(AELIB)/parser.o $(AELIB)/menu.o $(AELIB)/panel.o

PLAINFLAGS = -I$(AELIB)
X11FLAGS = $(PLAINFLAGS) -I$(XROOT)/include
WMFLAGS = $(X11FLAGS) $(OPT_WMFLAGS)
XAWFLAGS = $(X11FLAGS)
GTKFLAGS = $(PLAINFLAGS) `pkg-config --cflags gtk+-2.0`

$(PLAINOBJ): %.o: %.c
	$(CC) $(CFLAGS) $(PLAINFLAGS) -c $< -o $@

$(X11OBJ): %.o: %.c
	$(CC) $(CFLAGS) $(X11FLAGS) -c $< -o $@

$(WMOBJ): %.o: %.c
	$(CC) $(CFLAGS) $(WMFLAGS) -c $< -o $@

$(XAWOBJ): %.o: %.c
	$(CC) $(CFLAGS) $(X11FLAGS) -c $< -o $@

$(GTKOBJ): %.o: %.c
	$(CC) $(CFLAGS) $(GTKFLAGS) -c $< -o $@

X11LIB = -L$(XROOT)/lib -lX11
WMLIB = $(X11LIB) $(OPT_WMLIB)
XAWLIB = $(X11LIB) -lXt -lXaw
GTKLIB = `pkg-config --libs gtk+-2.0`

$(PLAINBIN): %: %.o
	$(CC) $^ -o $@

$(X11BIN): %: %.o
	$(CC) $^ $(X11LIB) -o $@

$(WMBIN): %:
	$(CC) $^ $(WMLIB) -o $@

$(XAWBIN): %: %.o
	$(CC) $^ $(XAWLIB) -o $@

$(GTKBIN): %: %.o
	$(CC) $^ $(GTKLIB) -o $@

AEMAN = aewm.1x aeclients.1x
AERC = aewmrc clientsrc

install: all
	mkdir -p $(BINDIR) $(MANDIR) $(CFGDIR)
	install -s $(ALLBIN) $(BINDIR)
	for i in $(AEMAN); do \
	    install -m 644 $(AEDOC)/$$i $(MANDIR); \
	    gzip -9 $(MANDIR)/$$i; \
	done
	for i in $(AERC); do \
	    install -m 644 $(AEDOC)/$$i.ex $(CFGDIR)/$$i; \
	done
	cd $(BINDIR) && ln -sf aemenu-gtk aemenu
	cd $(BINDIR) && ln -sf aepanel-gtk aepanel
	for i in $(PLAINBIN) $(X11BIN) $(XAWBIN) $(GTKBIN); do \
	    ln -sf aeclients.1x.gz $(MANDIR)/$$i.1x.gz; \
	done

clean:
	rm -f $(ALLBIN) $(ALLOBJ)

.PHONY: all install clean

## aewm 1.3.11

=== Makefile ===
# aewm - Copyright 1998-2007 Decklin Foster <decklin@red-bean.com>.
# This program is free software; see LICENSE for details.

all install clean:
	$(MAKE) -C src $@

.PHONY: all install clean

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# aewm - Copyright 1998-2006 Decklin Foster <decklin@red-bean.com>.
+# aewm - Copyright 1998-2007 Decklin Foster <decklin@red-bean.com>.
 # This program is free software; see LICENSE for details.
 
 # Set this to the location where you want to install

## aewm 1.3.12

=== Makefile ===
# aewm - Copyright 1998-2007 Decklin Foster <decklin@red-bean.com>.
# This program is free software; see LICENSE for details.

# Set this to the location where you want to install
DESTDIR =
XROOT = /usr/X11R6

# Uncomment to enable Shape extension support
#OPT_WMFLAGS += -DSHAPE
#OPT_WMLIB += -lXext

# Uncomment to add Xft support
#OPT_WMFLAGS += -DXFT `pkg-config --cflags xft`
#OPT_WMLIB += `pkg-config --libs xft` -lXext

# Uncomment for debugging (abandon all hope, ye who enter here)
#OPT_WMFLAGS += -DDEBUG
#OPT_WMLIB += -lefence

CC = gcc
CFLAGS = -g -O2 -Wall

BINDIR = $(DESTDIR)$(XROOT)/bin
MANDIR = $(DESTDIR)$(XROOT)/man/man1
CFGDIR = $(DESTDIR)/etc/X11/aewm

PLAINOBJ = aesession.o parser.o
CLIENTOBJ = common.o atom.o
X11OBJ = $(CLIENTOBJ) aedesk.o menu.o
WMOBJ = aewm_client.o aewm_event.o aewm_init.o aewm_manip.o
GTKOBJ = aemenu.o aepanel.o
ALLOBJ = $(PLAINOBJ) $(X11OBJ) $(WMOBJ) $(GTKOBJ)

PLAINBIN = aesession
X11BIN = aedesk
WMBIN = aewm
GTKBIN = aemenu aepanel
ALLBIN = $(PLAINBIN) $(X11BIN) $(WMBIN) $(GTKBIN)

all: $(ALLBIN)
aesession:
aedesk: $(CLIENTOBJ)
aewm: $(CLIENTOBJ) $(WMOBJ) parser.o
aemenu: $(CLIENTOBJ) menu.o parser.o
aepanel: $(CLIENTOBJ) menu.o parser.o

X11FLAGS = -I$(XROOT)/include
WMFLAGS = $(X11FLAGS) $(OPT_WMFLAGS)
GTKFLAGS = `pkg-config --cflags gtk+-2.0`

$(PLAINOBJ): %.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

$(X11OBJ): %.o: %.c
	$(CC) $(CFLAGS) $(X11FLAGS) -c $< -o $@

$(WMOBJ): %.o: %.c
	$(CC) $(CFLAGS) $(WMFLAGS) -c $< -o $@

$(GTKOBJ): %.o: %.c
	$(CC) $(CFLAGS) $(GTKFLAGS) -c $< -o $@

X11LIB = -L$(XROOT)/lib -lX11
WMLIB = $(X11LIB) $(OPT_WMLIB)
GTKLIB = `pkg-config --libs gtk+-2.0`

$(PLAINBIN): %: %.o
	$(CC) $^ -o $@

$(X11BIN): %: %.o
	$(CC) $^ $(X11LIB) -o $@

$(WMBIN): %:
	$(CC) $^ $(WMLIB) -o $@

$(GTKBIN): %: %.o
	$(CC) $^ $(GTKLIB) -o $@

AEMAN = aewm.1x aeclients.1x
AERC = aewmrc clientsrc

install: all
	mkdir -p $(BINDIR) $(MANDIR) $(CFGDIR)
	install -s $(ALLBIN) $(BINDIR)
	for i in $(AEMAN); do \
	    install -m 644 doc/$$i $(MANDIR); \
	    gzip -9 $(MANDIR)/$$i; \
	done
	for i in $(AERC); do \
	    install -m 644 doc/$$i.ex $(CFGDIR)/$$i; \
	done
	for i in $(PLAINBIN) $(X11BIN) $(GTKBIN); do \
	    ln -sf aeclients.1x.gz $(MANDIR)/$$i.1x.gz; \
	done

clean:
	rm -f $(ALLBIN) $(ALLOBJ)

.PHONY: all install clean

=== debian/changelog ===
aewm (1.3.12-5) unstable; urgency=medium

  * QA upload.
  * Update Standards-Version to 4.5.0
  * Fix FTCBFS. (Closes: #933233)
  * Add Vcs link for salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 17 Feb 2020 23:04:48 +0000

aewm (1.3.12-4) unstable; urgency=medium

  * QA Upload.
  * debian/compat: removed.
  * debian/control:
      - Homepage updated.
      - Migrated DH level to 12.
      - Standards-Version updated to 4.4.0.
  * debian/copyright:
      - Full updated.
      - Https added in Source and Format.
      - Old fields removed.
      - Source updated.
  * debian/patches/40_man-spelling-fix.patch: spelling fixed.
  * debian/tests/control: test added (CI).
  * debian/upstream/metadata: metadata added.
  * debian/watch:
      - Https added.
      - Updated to version 4.

 -- Daniel Pimentel <d4n1@d4n1.org>  Tue, 23 Jul 2019 11:29:53 -0300

aewm (1.3.12-3) unstable; urgency=low

  * QA upload.
    - Move to packaging format "3.0 (quilt)".
    - Use hardened build flags
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/aewm.{postrm,postinst,prerm}
    - Lintian fix maintainer-script-without-set-e.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Breaks): rename from Conflicts. Lintian fix conflicts-with-version.
    - (Build-Depends): update to debhelper 9.
    - (Homepage): New field.
    - (Maintainer): Set to QA group.
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to format 1.0.
  * debian/patches
    - (05): New. Contains changes to original sources.
    - (10): New. Do not strip binaries (Closes: #436379).
    - (20): New. Use hardened build flags.
    - (30): New. Fix hyphens in manual page.
  * debian/rules
    - Update to dh(1).
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 02 Mar 2013 13:39:50 +0200

aewm (1.3.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Makefile: Added "-lX11".  Closes: #553631.
  * Fixed debhelper-but-no-misc-depends.
  * Fixed description-synopsis-starts-with-article.
  * Fixed menu-item-uses-windowmanagers-section.

 -- Bart Martens <bartm@debian.org>  Sun, 16 Oct 2011 01:38:16 +0200

aewm (1.3.12-2) unstable; urgency=low

  * Remove aemenu and aepanel alternatives. aewm 2.0 will use only GTK; Xaw
    will return in 1.4.

 -- Decklin Foster <decklin@red-bean.com>  Thu, 27 Dec 2007 20:50:02 -0500

aewm (1.3.12-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Thu, 27 Dec 2007 13:16:24 -0500

aewm (1.3.11-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Sat, 27 Oct 2007 23:35:02 -0400

aewm (1.3.10-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 11 Sep 2006 20:53:07 -0400

aewm (1.3.9-1) unstable; urgency=low

  * New upstream release
  * Remove kill menu item.
  * Update Standards-Version to 3.7.2.

 -- Decklin Foster <decklin@red-bean.com>  Thu, 13 Jul 2006 15:42:47 -0400

aewm (1.3.8-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Fri, 21 Apr 2006 18:15:04 -0400

aewm (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Removed lesstif build-dep.
  * Upload to unstable.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 17 Apr 2006 23:05:12 -0400

aewm (1.3.6-1) experimental; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Sun, 16 Apr 2006 16:03:28 -0400

aewm (1.3.5-1) experimental; urgency=low

  * New upstream release
  * Update build-deps for modular and Xft.

 -- Decklin Foster <decklin@red-bean.com>  Sat, 15 Apr 2006 02:36:27 -0400

aewm (1.3.4-1) experimental; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Tue, 14 Feb 2006 12:02:21 -0500

aewm (1.3.2-2) experimental; urgency=low

  * Build against libxaw7 instead of libxaw8.

 -- Decklin Foster <decklin@red-bean.com>  Tue, 10 Jan 2006 14:29:23 -0500

aewm (1.3.2-1) experimental; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Thu, 10 Nov 2005 11:13:07 -0500

aewm (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Wed,  9 Nov 2005 12:46:16 -0500

aewm (1.2.5-5) unstable; urgency=low

  * /usr/sbin/install-menu -> /usr/bin/install-menu for menu transition.

 -- Decklin Foster <decklin@red-bean.com>  Thu,  6 Oct 2005 16:52:32 -0400

aewm (1.2.5-4) unstable; urgency=low

  * Add all the applicable modular X.org -dev packages to build-depends.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Aug 2005 11:33:27 -0400

aewm (1.2.5-3) unstable; urgency=low

  * Remove all alternatives that we install on purge, not just
    x-window-manager. (Closes: #319715)
  * Build with libxaw8 instead of libxaw7.
  * Bump Standards-Version to 3.6.2.

 -- Decklin Foster <decklin@red-bean.com>  Sat,  6 Aug 2005 12:52:31 -0400

aewm (1.2.5-2) unstable; urgency=low

  * Only call update-alternatives in prerm if we are removing.

 -- Decklin Foster <decklin@red-bean.com>  Mon, 22 Nov 2004 10:29:15 -0500

aewm (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Decklin Foster <decklin@red-bean.com>  Mon, 15 Nov 2004 10:39:16 -0500

aewm (1.2.4-1) unstable; urgency=low

  * New upstream release
    - My own fix for the menu issues (Closes: #193966, #187082)
    - Rewrote the parser
  * Included Bill Allombert's new menu-method. Thanks for the NMU, Bill!
    (Closes: #251609)
  * Bumped Standards-Version to 3.6.1.

 -- Decklin Foster <decklin@red-bean.com>  Sat,  2 Oct 2004 08:37:07 -0400

aewm (1.2.3-2.1) unstable; urgency=low

  * NMU
  * Apply patch by Erik de Castro Lopo and Ken Caldwell
    to fix aewm menus. (Closes: #193966, #187082).
    In particular this patch allows iconified windows to be deiconified.


=== debian/control ===
Source: aewm
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12), libx11-dev, libxext-dev, libxft-dev, libgtk2.0-dev
Homepage: https://www.red-bean.com/decklin/aewm/
Vcs-Git: https://salsa.debian.org/debian/aewm.git
Vcs-Browser: https://salsa.debian.org/debian/aewm

Package: aewm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu (>= 2.1.9)
Breaks: menu (<< 2.1.9)
Provides: x-window-manager
Description: minimalist window manager for X11
 aewm is a minimalist window manager for X11. It has no nifty
 features, but is light on resources and extremely simple in
 appearance. It should eventually make a good reference implementation
 of the ICCCM. A few separate programs are included to handle running
 programs, switching between windows, etc.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/aewm install
	cp $(CURDIR)/debian/aewm.clientsrc $(CURDIR)/debian/aewm/etc/X11/aewm/clientsrc

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
	dh $@

=== debian/tests/control ===
Test-Command: xvfb-run -a aewm &
Depends: @, xauth, xvfb, xfonts-base, xfonts-100dpi

=== debian/watch ===
version=4
https://www.red-bean.com/decklin/aewm/aewm-([\d.]+)\.tar\.bz2
